Bug 11894 - Help message unclear for samba-tool domain provision
Help message unclear for samba-tool domain provision
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
Depends on:
Blocks: 11924
  Show dependency treegraph
Reported: 2016-05-04 10:29 UTC by Peter C. Kelly
Modified: 2016-05-20 08:30 UTC (History)
2 users (show)

See Also:

Amend help message for samba-tool domain provision (1.06 KB, patch)
2016-05-04 10:29 UTC, Peter C. Kelly
no flags Details
Patch to clarify domain provision --help text (1.18 KB, patch)
2016-05-05 09:52 UTC, Peter C. Kelly
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter C. Kelly 2016-05-04 10:29:30 UTC
Created attachment 12062 [details]
Amend help message for samba-tool domain provision

This bug is raised as a result of the following mailing list message:

This bug covers points (a) and (b) in that email:
(start quote)

a) It isn't clear what domain is from 'samba-tool domain provison --help' it 
stats: set domain.

It expects the netbios name.


b) The --realm option is essential but at the end of the help ...

(end quote)

https://lists.samba.org/archive/samba-technical/2016-April/113740.html suggests how to fix this.
Comment 1 Peter C. Kelly 2016-05-04 11:19:16 UTC
Adding Andreas to CC since he is the one that noticed these issues.

What is currently holding me up from developing the second trivial patch is a need for a bit more clarity on how this --help output should look.  It seems to me that if the --domain parameter is compulsory, then the heading text should say so,
and that if a realm has to be specified (or read in from an existing conf file) then perhaps that should be mentioned in the introductory text as well.

The reason that the realm is way down the bottom is that it is under a heading "Samba Common Options", along with configFile debuglevel and option.
Comment 2 Peter C. Kelly 2016-05-04 11:54:11 UTC
There is a further issue in here, which perhaps doesn't need to be fixed as part of this patch.  For some reason, the existing handling to check if the supplied Realm parameter is blank is not working, and so instead of raising the CommandError it is failing later at the (messier) ProvisioningError.
Comment 3 Peter C. Kelly 2016-05-04 22:09:41 UTC
From talk on list, it seems this is going to be resolved from a future patch by Rowland.  However, I can only mark status as NEW or RESOLVED, not cancelled, so I assume I should leave this as-is for now until test Rowland's patch is testable.
Comment 4 Peter C. Kelly 2016-05-05 09:52:20 UTC
Created attachment 12073 [details]
Patch to clarify domain provision --help text

Added signed off by and bug headers.